{
  "$schema": "https://developer.microsoft.com/json-schemas/fabric/item/report/definition/visualContainer/2.8.0/schema.json",
  "name": "bd8b70d40c4325075c31",
  "position": {
    "x": 0,
    "y": 60.50587158485893,
    "z": 0,
    "height": 640,
    "width": 1840.4072727272726,
    "tabOrder": 6000
  },
  "visual": {
    "visualType": "pivotTable",
    "query": {
      "queryState": {
        "Columns": {
          "projections": [
            {
              "field": {
                "Column": {
                  "Expression": {
                    "SourceRef": {
                      "Entity": "Fact_Direct_Retail_national_prd_rank"
                    }
                  },
                  "Property": "sales_quarter"
                }
              },
              "queryRef": "Fact_Direct_Retail_national_prd_rank.sales_quarter",
              "nativeQueryRef": "销售时间",
              "active": true,
              "displayName": "销售时间"
            }
          ]
        },
        "Rows": {
          "projections": [
            {
              "field": {
                "Column": {
                  "Expression": {
                    "SourceRef": {
                      "Entity": "Fact_Direct_Retail_national_prd_rank"
                    }
                  },
                  "Property": "ta"
                }
              },
              "queryRef": "Fact_Direct_Retail_national_prd_rank.ta",
              "nativeQueryRef": "TA",
              "active": true,
              "displayName": "TA"
            },
            {
              "field": {
                "Column": {
                  "Expression": {
                    "SourceRef": {
                      "Entity": "Fact_Direct_Retail_national_prd_rank"
                    }
                  },
                  "Property": "rx_otc"
                }
              },
              "queryRef": "Fact_Direct_Retail_national_prd_rank.rx_otc",
              "nativeQueryRef": "Rx/OTC",
              "active": true,
              "displayName": "Rx/OTC"
            },
            {
              "field": {
                "Column": {
                  "Expression": {
                    "SourceRef": {
                      "Entity": "Fact_Direct_Retail_national_prd_rank"
                    }
                  },
                  "Property": "top_top_incre"
                }
              },
              "queryRef": "Fact_Direct_Retail_national_prd_rank.top_top_incre",
              "nativeQueryRef": "Top/Top Incre.",
              "active": true,
              "displayName": "Top/Top Incre."
            },
            {
              "field": {
                "Column": {
                  "Expression": {
                    "SourceRef": {
                      "Entity": "Fact_Direct_Retail_national_prd_rank"
                    }
                  },
                  "Property": "rank1"
                }
              },
              "queryRef": "Fact_Direct_Retail_national_prd_rank.rank1",
              "nativeQueryRef": "RANK",
              "active": true,
              "displayName": "RANK"
            },
            {
              "field": {
                "Column": {
                  "Expression": {
                    "SourceRef": {
                      "Entity": "Fact_Direct_Retail_national_prd_rank"
                    }
                  },
                  "Property": "prod_desc"
                }
              },
              "queryRef": "Fact_Direct_Retail_national_prd_rank.prod_desc",
              "nativeQueryRef": "TOP20产品",
              "active": true,
              "displayName": "TOP20产品"
            },
            {
              "field": {
                "Column": {
                  "Expression": {
                    "SourceRef": {
                      "Entity": "Fact_Direct_Retail_national_prd_rank"
                    }
                  },
                  "Property": "type"
                }
              },
              "queryRef": "Fact_Direct_Retail_national_prd_rank.type",
              "nativeQueryRef": "Type",
              "active": true,
              "displayName": "Type"
            },
            {
              "field": {
                "Column": {
                  "Expression": {
                    "SourceRef": {
                      "Entity": "Fact_Direct_Retail_national_prd_rank"
                    }
                  },
                  "Property": "cmps_desc"
                }
              },
              "queryRef": "Fact_Direct_Retail_national_prd_rank.cmps_desc",
              "nativeQueryRef": "通用名",
              "active": true,
              "displayName": "通用名"
            },
            {
              "field": {
                "Column": {
                  "Expression": {
                    "SourceRef": {
                      "Entity": "Fact_Direct_Retail_national_prd_rank"
                    }
                  },
                  "Property": "brand"
                }
              },
              "queryRef": "Fact_Direct_Retail_national_prd_rank.brand",
              "nativeQueryRef": "Brand",
              "active": true,
              "displayName": "Brand"
            },
            {
              "field": {
                "Column": {
                  "Expression": {
                    "SourceRef": {
                      "Entity": "Fact_Direct_Retail_national_prd_rank"
                    }
                  },
                  "Property": "corp_desc"
                }
              },
              "queryRef": "Fact_Direct_Retail_national_prd_rank.corp_desc",
              "nativeQueryRef": "集团",
              "active": true,
              "displayName": "集团"
            },
            {
              "field": {
                "Column": {
                  "Expression": {
                    "SourceRef": {
                      "Entity": "Fact_Direct_Retail_national_prd_rank"
                    }
                  },
                  "Property": "corporation"
                }
              },
              "queryRef": "Fact_Direct_Retail_national_prd_rank.corporation",
              "nativeQueryRef": "Corporation",
              "active": true,
              "displayName": "Corporation"
            }
          ]
        },
        "Values": {
          "projections": [
            {
              "field": {
                "Measure": {
                  "Expression": {
                    "SourceRef": {
                      "Entity": "00_KPI"
                    }
                  },
                  "Property": "00.DirectRetail.national_prd_rank"
                }
              },
              "queryRef": "00_KPI.00.DirectRetail.national_prd_rank",
              "nativeQueryRef": "销售额",
              "displayName": "销售额"
            }
          ]
        }
      },
      "sortDefinition": {
        "sort": [
          {
            "field": {
              "Column": {
                "Expression": {
                  "SourceRef": {
                    "Entity": "Fact_Direct_Retail_national_prd_rank"
                  }
                },
                "Property": "ta"
              }
            },
            "direction": "Ascending"
          }
        ]
      }
    },
    "expansionStates": [
      {
        "roles": [
          "Rows"
        ],
        "levels": [
          {
            "queryRefs": [
              "Fact_Direct_Retail_national_prd_rank.ta"
            ],
            "isPinned": true
          },
          {
            "queryRefs": [
              "Fact_Direct_Retail_national_prd_rank.rx_otc"
            ],
            "isPinned": true
          },
          {
            "queryRefs": [
              "Fact_Direct_Retail_national_prd_rank.top_top_incre"
            ],
            "isPinned": true
          },
          {
            "queryRefs": [
              "Fact_Direct_Retail_national_prd_rank.rank1"
            ],
            "isPinned": true
          },
          {
            "queryRefs": [
              "Fact_Direct_Retail_national_prd_rank.prod_desc"
            ],
            "isPinned": true
          },
          {
            "queryRefs": [
              "Fact_Direct_Retail_national_prd_rank.type"
            ],
            "isPinned": true
          },
          {
            "queryRefs": [
              "Fact_Direct_Retail_national_prd_rank.cmps_desc"
            ],
            "isPinned": true
          },
          {
            "queryRefs": [
              "Fact_Direct_Retail_national_prd_rank.brand"
            ],
            "isPinned": true
          },
          {
            "queryRefs": [
              "Fact_Direct_Retail_national_prd_rank.corp_desc"
            ],
            "isPinned": true
          },
          {
            "queryRefs": [
              "Fact_Direct_Retail_national_prd_rank.corporation"
            ],
            "isCollapsed": true,
            "isPinned": true
          }
        ],
        "root": {}
      }
    ],
    "objects": {
      "grid": [
        {
          "properties": {
            "rowPadding": {
              "expr": {
                "Literal": {
                  "Value": "6D"
                }
              }
            },
            "textSize": {
              "expr": {
                "Literal": {
                  "Value": "10D"
                }
              }
            }
          }
        }
      ],
      "columnHeaders": [
        {
          "properties": {
            "wordWrap": {
              "expr": {
                "Literal": {
                  "Value": "false"
                }
              }
            },
            "autoSizeColumnWidth": {
              "expr": {
                "Literal": {
                  "Value": "false"
                }
              }
            },
            "alignment": {
              "expr": {
                "Literal": {
                  "Value": "'Center'"
                }
              }
            },
            "fontSize": {
              "expr": {
                "Literal": {
                  "Value": "12D"
                }
              }
            },
            "bold": {
              "expr": {
                "Literal": {
                  "Value": "true"
                }
              }
            },
            "fontColor": {
              "solid": {
                "color": {
                  "expr": {
                    "ThemeDataColor": {
                      "ColorId": 0,
                      "Percent": 0
                    }
                  }
                }
              }
            },
            "backColor": {
              "solid": {
                "color": {
                  "expr": {
                    "Literal": {
                      "Value": "'#BB81A1'"
                    }
                  }
                }
              }
            },
            "fontFamily": {
              "expr": {
                "Literal": {
                  "Value": "'Arial'"
                }
              }
            },
            "columnAdjustment": {
              "expr": {
                "Literal": {
                  "Value": "'fitToContent'"
                }
              }
            }
          }
        }
      ],
      "values": [
        {
          "properties": {
            "wordWrap": {
              "expr": {
                "Literal": {
                  "Value": "false"
                }
              }
            },
            "backColorSecondary": {
              "solid": {
                "color": {
                  "expr": {
                    "ThemeDataColor": {
                      "ColorId": 0,
                      "Percent": -0.2
                    }
                  }
                }
              }
            },
            "fontSize": {
              "expr": {
                "Literal": {
                  "Value": "12D"
                }
              }
            },
            "fontFamily": {
              "expr": {
                "Literal": {
                  "Value": "'Arial'"
                }
              }
            },
            "bandedRowHeaders": {
              "expr": {
                "Literal": {
                  "Value": "true"
                }
              }
            }
          }
        },
        {
          "properties": {},
          "selector": {
            "data": [
              {
                "dataViewWildcard": {
                  "matchingOption": 1
                }
              }
            ],
            "metadata": "_Measures.CH_IMSVal_Prod_Rank"
          }
        },
        {
          "properties": {
            "backColor": {
              "solid": {
                "color": {
                  "expr": {
                    "Conditional": {
                      "Cases": [
                        {
                          "Condition": {
                            "Comparison": {
                              "ComparisonKind": 0,
                              "Left": {
                                "Measure": {
                                  "Expression": {
                                    "SourceRef": {
                                      "Entity": "_Measures"
                                    }
                                  },
                                  "Property": "CH_IMSCCORP"
                                }
                              },
                              "Right": {
                                "Literal": {
                                  "Value": "'ASTRAZENECA'"
                                }
                              }
                            },
                            "Annotations": {
                              "PowerBI.SQExprEvaluationKind": 1,
                              "PowerBI.SQExprTextOperatorOption": 2
                            }
                          },
                          "Value": {
                            "Literal": {
                              "Value": "'#cd99b9'"
                            }
                          }
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "dataViewWildcard": {
                  "matchingOption": 1
                }
              }
            ],
            "metadata": "DIM_PROD.PROD_DES"
          }
        },
        {
          "properties": {
            "icon": {
              "kind": "Icon",
              "layout": {
                "expr": {
                  "Literal": {
                    "Value": "'Before'"
                  }
                }
              },
              "verticalAlignment": {
                "expr": {
                  "Literal": {
                    "Value": "'Top'"
                  }
                }
              },
              "value": {
                "expr": {
                  "Conditional": {
                    "Cases": [
                      {
                        "Condition": {
                          "Comparison": {
                            "ComparisonKind": 1,
                            "Left": {
                              "Measure": {
                                "Expression": {
                                  "SourceRef": {
                                    "Entity": "_Measures"
                                  }
                                },
                                "Property": "CH_IMS_deltaRank"
                              }
                            },
                            "Right": {
                              "Literal": {
                                "Value": "0D"
                              }
                            }
                          }
                        },
                        "Value": {
                          "Literal": {
                            "Value": "'ColoredArrowUp'"
                          }
                        }
                      },
                      {
                        "Condition": {
                          "Comparison": {
                            "ComparisonKind": 3,
                            "Left": {
                              "Measure": {
                                "Expression": {
                                  "SourceRef": {
                                    "Entity": "_Measures"
                                  }
                                },
                                "Property": "CH_IMS_deltaRank"
                              }
                            },
                            "Right": {
                              "Literal": {
                                "Value": "0D"
                              }
                            }
                          }
                        },
                        "Value": {
                          "Literal": {
                            "Value": "'ColoredArrowDown'"
                          }
                        }
                      }
                    ]
                  }
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "dataViewWildcard": {
                  "matchingOption": 1
                }
              }
            ],
            "metadata": "_Measures.CH_IMS_deltaRank"
          }
        },
        {
          "properties": {
            "icon": {
              "kind": "Icon",
              "layout": {
                "expr": {
                  "Literal": {
                    "Value": "'Before'"
                  }
                }
              },
              "verticalAlignment": {
                "expr": {
                  "Literal": {
                    "Value": "'Middle'"
                  }
                }
              },
              "value": {
                "expr": {
                  "Conditional": {
                    "Cases": [
                      {
                        "Condition": {
                          "Comparison": {
                            "ComparisonKind": 1,
                            "Left": {
                              "Measure": {
                                "Expression": {
                                  "SourceRef": {
                                    "Entity": "Measure"
                                  }
                                },
                                "Property": "External.△MS%Rank.KPI"
                              }
                            },
                            "Right": {
                              "Literal": {
                                "Value": "0D"
                              }
                            }
                          }
                        },
                        "Value": {
                          "Literal": {
                            "Value": "'ColoredArrowUp'"
                          }
                        }
                      },
                      {
                        "Condition": {
                          "Comparison": {
                            "ComparisonKind": 3,
                            "Left": {
                              "Measure": {
                                "Expression": {
                                  "SourceRef": {
                                    "Entity": "Measure"
                                  }
                                },
                                "Property": "External.△MS%Rank.KPI"
                              }
                            },
                            "Right": {
                              "Literal": {
                                "Value": "0D"
                              }
                            }
                          }
                        },
                        "Value": {
                          "Literal": {
                            "Value": "'ColoredArrowDown'"
                          }
                        }
                      }
                    ]
                  }
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "dataViewWildcard": {
                  "matchingOption": 1
                }
              }
            ],
            "metadata": "Measure.External.△MS%Rank.KPI"
          }
        }
      ],
      "total": [
        {
          "properties": {}
        }
      ],
      "columnFormatting": [
        {
          "properties": {
            "alignment": {
              "expr": {
                "Literal": {
                  "Value": "'Center'"
                }
              }
            },
            "styleHeader": {
              "expr": {
                "Literal": {
                  "Value": "true"
                }
              }
            }
          },
          "selector": {
            "metadata": "_Measures.CH_IMSVal_Prod_Rank"
          }
        },
        {
          "properties": {
            "backColor": {
              "solid": {
                "color": {
                  "expr": {
                    "ThemeDataColor": {
                      "ColorId": 3,
                      "Percent": 0
                    }
                  }
                }
              }
            },
            "styleHeader": {
              "expr": {
                "Literal": {
                  "Value": "true"
                }
              }
            },
            "styleValues": {
              "expr": {
                "Literal": {
                  "Value": "false"
                }
              }
            }
          },
          "selector": {
            "metadata": "FACT_Sales.Sales_MSTOP2_BrandName"
          }
        },
        {
          "properties": {
            "backColor": {
              "solid": {
                "color": {
                  "expr": {
                    "ThemeDataColor": {
                      "ColorId": 3,
                      "Percent": 0
                    }
                  }
                }
              }
            },
            "styleHeader": {
              "expr": {
                "Literal": {
                  "Value": "true"
                }
              }
            },
            "styleValues": {
              "expr": {
                "Literal": {
                  "Value": "false"
                }
              }
            }
          },
          "selector": {
            "metadata": "FACT_Sales.Sales_MSTOP2_BrandSales"
          }
        },
        {
          "properties": {
            "backColor": {
              "solid": {
                "color": {
                  "expr": {
                    "ThemeDataColor": {
                      "ColorId": 3,
                      "Percent": 0
                    }
                  }
                }
              }
            },
            "styleHeader": {
              "expr": {
                "Literal": {
                  "Value": "true"
                }
              }
            },
            "styleValues": {
              "expr": {
                "Literal": {
                  "Value": "false"
                }
              }
            }
          },
          "selector": {
            "metadata": "FACT_Sales.Sales_MSTOP2_BrandGR%"
          }
        },
        {
          "properties": {
            "backColor": {
              "solid": {
                "color": {
                  "expr": {
                    "ThemeDataColor": {
                      "ColorId": 9,
                      "Percent": 0.6
                    }
                  }
                }
              }
            },
            "styleHeader": {
              "expr": {
                "Literal": {
                  "Value": "true"
                }
              }
            },
            "styleValues": {
              "expr": {
                "Literal": {
                  "Value": "false"
                }
              }
            }
          },
          "selector": {
            "metadata": "FACT_Sales.Sales_GRTOP2_BrandName"
          }
        },
        {
          "properties": {
            "backColor": {
              "solid": {
                "color": {
                  "expr": {
                    "ThemeDataColor": {
                      "ColorId": 9,
                      "Percent": 0.6
                    }
                  }
                }
              }
            },
            "styleHeader": {
              "expr": {
                "Literal": {
                  "Value": "true"
                }
              }
            },
            "styleValues": {
              "expr": {
                "Literal": {
                  "Value": "false"
                }
              }
            }
          },
          "selector": {
            "metadata": "FACT_Sales.Sales_GRTOP2_BrandSales"
          }
        },
        {
          "properties": {
            "backColor": {
              "solid": {
                "color": {
                  "expr": {
                    "ThemeDataColor": {
                      "ColorId": 9,
                      "Percent": 0.6
                    }
                  }
                }
              }
            },
            "styleHeader": {
              "expr": {
                "Literal": {
                  "Value": "true"
                }
              }
            },
            "styleValues": {
              "expr": {
                "Literal": {
                  "Value": "false"
                }
              }
            }
          },
          "selector": {
            "metadata": "FACT_Sales.Sales_GRTOP2_BrandGR%"
          }
        },
        {
          "properties": {
            "dataBars": {
              "positiveColor": {
                "solid": {
                  "color": {
                    "expr": {
                      "Literal": {
                        "Value": "'maxColor'"
                      }
                    }
                  }
                }
              },
              "negativeColor": {
                "solid": {
                  "color": {
                    "expr": {
                      "Literal": {
                        "Value": "'minColor'"
                      }
                    }
                  }
                }
              },
              "axisColor": {
                "solid": {
                  "color": {
                    "expr": {
                      "Literal": {
                        "Value": "'foreground'"
                      }
                    }
                  }
                }
              },
              "reverseDirection": {
                "expr": {
                  "Literal": {
                    "Value": "false"
                  }
                }
              },
              "hideText": {
                "expr": {
                  "Literal": {
                    "Value": "false"
                  }
                }
              }
            }
          },
          "selector": {
            "metadata": "FACT_Sales.Sales"
          }
        },
        {
          "properties": {
            "dataBars": {
              "positiveColor": {
                "solid": {
                  "color": {
                    "expr": {
                      "Literal": {
                        "Value": "'maxColor'"
                      }
                    }
                  }
                }
              },
              "negativeColor": {
                "solid": {
                  "color": {
                    "expr": {
                      "Literal": {
                        "Value": "'minColor'"
                      }
                    }
                  }
                }
              },
              "axisColor": {
                "solid": {
                  "color": {
                    "expr": {
                      "Literal": {
                        "Value": "'foreground'"
                      }
                    }
                  }
                }
              },
              "reverseDirection": {
                "expr": {
                  "Literal": {
                    "Value": "false"
                  }
                }
              },
              "hideText": {
                "expr": {
                  "Literal": {
                    "Value": "false"
                  }
                }
              }
            }
          },
          "selector": {
            "metadata": "FACT_Sales.Sales_GRVAL"
          }
        }
      ],
      "general": [
        {
          "properties": {
            "layout": {
              "expr": {
                "Literal": {
                  "Value": "'Tabular'"
                }
              }
            }
          }
        }
      ],
      "rowHeaders": [
        {
          "properties": {
            "repeatRowHeaders": {
              "expr": {
                "Literal": {
                  "Value": "true"
                }
              }
            },
            "wordWrap": {
              "expr": {
                "Literal": {
                  "Value": "false"
                }
              }
            },
            "fontColor": {
              "solid": {
                "color": {
                  "expr": {
                    "ThemeDataColor": {
                      "ColorId": 1,
                      "Percent": 0
                    }
                  }
                }
              }
            },
            "fontFamily": {
              "expr": {
                "Literal": {
                  "Value": "'Arial'"
                }
              }
            },
            "fontSize": {
              "expr": {
                "Literal": {
                  "Value": "12D"
                }
              }
            }
          }
        }
      ],
      "subTotals": [
        {
          "properties": {
            "columnSubtotals": {
              "expr": {
                "Literal": {
                  "Value": "false"
                }
              }
            },
            "rowSubtotals": {
              "expr": {
                "Literal": {
                  "Value": "false"
                }
              }
            }
          }
        }
      ],
      "columnWidth": [
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "201803L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "201806L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "201809L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "201812L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "201903L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "201906L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "201909L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "201912L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202003L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202006L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202009L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202012L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202103L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202106L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202109L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202112L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202203L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202206L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "143D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202209L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202212L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202303L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202306L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202309L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202312L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202403L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202406L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202409L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202412L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202503L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "143D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202506L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202509L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "144D"
                }
              }
            }
          },
          "selector": {
            "data": [
              {
                "scopeId": {
                  "Comparison": {
                    "ComparisonKind": 0,
                    "Left": {
                      "Column": {
                        "Expression": {
                          "SourceRef": {
                            "Entity": "Fact_Direct_Retail_national_prd_rank"
                          }
                        },
                        "Property": "sales_quarter"
                      }
                    },
                    "Right": {
                      "Literal": {
                        "Value": "202512L"
                      }
                    }
                  }
                }
              }
            ]
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "123.66666107352637D"
                }
              }
            }
          },
          "selector": {
            "metadata": "Fact_Direct_Retail_national_prd_rank.ta"
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "72.33333563220967D"
                }
              }
            }
          },
          "selector": {
            "metadata": "Fact_Direct_Retail_national_prd_rank.rx_otc"
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "160.3333413431983D"
                }
              }
            }
          },
          "selector": {
            "metadata": "Fact_Direct_Retail_national_prd_rank.top_top_incre"
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "73.56726980084068D"
                }
              }
            }
          },
          "selector": {
            "metadata": "Fact_Direct_Retail_national_prd_rank.rank1"
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "159.76000658938347D"
                }
              }
            }
          },
          "selector": {
            "metadata": "Fact_Direct_Retail_national_prd_rank.prod_desc"
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "47D"
                }
              }
            }
          },
          "selector": {
            "metadata": "Fact_Direct_Retail_national_prd_rank.type"
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "140D"
                }
              }
            }
          },
          "selector": {
            "metadata": "Fact_Direct_Retail_national_prd_rank.cmps_desc"
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "134.83271158946616D"
                }
              }
            }
          },
          "selector": {
            "metadata": "Fact_Direct_Retail_national_prd_rank.brand"
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "113D"
                }
              }
            }
          },
          "selector": {
            "metadata": "Fact_Direct_Retail_national_prd_rank.corp_desc"
          }
        },
        {
          "properties": {
            "value": {
              "expr": {
                "Literal": {
                  "Value": "149D"
                }
              }
            }
          },
          "selector": {
            "metadata": "Fact_Direct_Retail_national_prd_rank.corporation"
          }
        }
      ],
      "blankRows": [
        {
          "properties": {
            "showBlankRows": {
              "expr": {
                "Literal": {
                  "Value": "false"
                }
              }
            }
          }
        }
      ]
    },
    "visualContainerObjects": {
      "background": [
        {
          "properties": {
            "show": {
              "expr": {
                "Literal": {
                  "Value": "true"
                }
              }
            },
            "transparency": {
              "expr": {
                "Literal": {
                  "Value": "0D"
                }
              }
            }
          }
        }
      ],
      "border": [
        {
          "properties": {
            "show": {
              "expr": {
                "Literal": {
                  "Value": "false"
                }
              }
            },
            "color": {
              "solid": {
                "color": {
                  "expr": {
                    "ThemeDataColor": {
                      "ColorId": 0,
                      "Percent": -0.1
                    }
                  }
                }
              }
            },
            "radius": {
              "expr": {
                "Literal": {
                  "Value": "10D"
                }
              }
            }
          }
        }
      ],
      "stylePreset": [
        {
          "properties": {
            "name": {
              "expr": {
                "Literal": {
                  "Value": "'None'"
                }
              }
            }
          }
        }
      ],
      "title": [
        {
          "properties": {
            "show": {
              "expr": {
                "Literal": {
                  "Value": "false"
                }
              }
            },
            "text": {
              "expr": {
                "Literal": {
                  "Value": "''"
                }
              }
            },
            "alignment": {
              "expr": {
                "Literal": {
                  "Value": "'left'"
                }
              }
            },
            "fontSize": {
              "expr": {
                "Literal": {
                  "Value": "9D"
                }
              }
            },
            "titleWrap": {
              "expr": {
                "Literal": {
                  "Value": "false"
                }
              }
            },
            "underline": {
              "expr": {
                "Literal": {
                  "Value": "true"
                }
              }
            }
          }
        }
      ],
      "subTitle": [
        {
          "properties": {
            "show": {
              "expr": {
                "Literal": {
                  "Value": "false"
                }
              }
            },
            "text": {
              "expr": {
                "Literal": {
                  "Value": "''"
                }
              }
            }
          }
        }
      ],
      "general": [
        {
          "properties": {
            "keepLayerOrder": {
              "expr": {
                "Literal": {
                  "Value": "true"
                }
              }
            }
          }
        }
      ],
      "visualHeader": [
        {
          "properties": {
            "show": {
              "expr": {
                "Literal": {
                  "Value": "true"
                }
              }
            }
          }
        }
      ]
    },
    "drillFilterOtherVisuals": true
  },
  "parentGroupName": "4ead790102740725bc32",
  "filterConfig": {
    "filters": [
      {
        "name": "Filter4fd603cc40bbb4b14c06",
        "ordinal": 0,
        "field": {
          "Column": {
            "Expression": {
              "SourceRef": {
                "Entity": "Fact_Sales"
              }
            },
            "Property": "DATA_SOURCE"
          }
        },
        "type": "Categorical",
        "howCreated": "User"
      },
      {
        "name": "Filter5e33d1375d4046106910",
        "ordinal": 1,
        "field": {
          "Column": {
            "Expression": {
              "SourceRef": {
                "Entity": "Dim_Unit"
              }
            },
            "Property": "DW"
          }
        },
        "type": "Categorical",
        "howCreated": "User"
      },
      {
        "name": "Filter352e8ae3add30980d9a7",
        "ordinal": 2,
        "field": {
          "Measure": {
            "Expression": {
              "SourceRef": {
                "Entity": "Measure"
              }
            },
            "Property": "External.Sales.KPI"
          }
        },
        "type": "Advanced",
        "howCreated": "User"
      },
      {
        "name": "Filter24d569cf023062315999",
        "ordinal": 3,
        "field": {
          "Column": {
            "Expression": {
              "SourceRef": {
                "Entity": "Dim_DataSource"
              }
            },
            "Property": "DATA_SOURCE"
          }
        },
        "type": "Categorical",
        "howCreated": "User"
      },
      {
        "name": "Filterbb958e746432dbb20e76",
        "ordinal": 4,
        "field": {
          "Column": {
            "Expression": {
              "SourceRef": {
                "Entity": "Dim_PackInfo"
              }
            },
            "Property": "PROD_DES_C"
          }
        },
        "type": "Advanced",
        "howCreated": "User"
      },
      {
        "name": "Filterbbdf344948810dcead93",
        "ordinal": 5,
        "field": {
          "Measure": {
            "Expression": {
              "SourceRef": {
                "Entity": "Measure"
              }
            },
            "Property": "External.Gr%.KPI"
          }
        },
        "type": "Advanced",
        "howCreated": "User"
      },
      {
        "name": "Filtercb4486f283dd76850900",
        "ordinal": 6,
        "field": {
          "Measure": {
            "Expression": {
              "SourceRef": {
                "Entity": "Measure"
              }
            },
            "Property": "External.Sales.LY.KPI"
          }
        },
        "type": "Advanced",
        "howCreated": "User"
      },
      {
        "name": "Filter34e127a2047c31c281bd",
        "ordinal": 7,
        "field": {
          "Column": {
            "Expression": {
              "SourceRef": {
                "Entity": "Dim_DataSource"
              }
            },
            "Property": "SOURCENAME"
          }
        },
        "type": "Categorical",
        "howCreated": "User"
      },
      {
        "name": "Filtereacc115ddfad9cb0d5e8",
        "ordinal": 8,
        "field": {
          "Measure": {
            "Expression": {
              "SourceRef": {
                "Entity": "00_KPI"
              }
            },
            "Property": "External.Prescription.MTH"
          }
        },
        "type": "Advanced",
        "howCreated": "User"
      },
      {
        "name": "Filterc5b7ecda135e859ad535",
        "ordinal": 9,
        "field": {
          "Measure": {
            "Expression": {
              "SourceRef": {
                "Entity": "00_KPI"
              }
            },
            "Property": "External.Unit.MID"
          }
        },
        "type": "Advanced",
        "howCreated": "User"
      },
      {
        "name": "0ace83f1a0e8008dce63",
        "ordinal": 10,
        "field": {
          "Column": {
            "Expression": {
              "SourceRef": {
                "Entity": "Dim_PackInfo"
              }
            },
            "Property": "PACK_COD"
          }
        },
        "type": "Categorical",
        "howCreated": "User"
      },
      {
        "name": "5eb96d5460100c235c96",
        "ordinal": 11,
        "field": {
          "Column": {
            "Expression": {
              "SourceRef": {
                "Entity": "Dim_PackInfo"
              }
            },
            "Property": "VBP_BRAND"
          }
        },
        "type": "Categorical",
        "howCreated": "User"
      },
      {
        "name": "7c5708c9b0bb99a6c501",
        "ordinal": 12,
        "field": {
          "Column": {
            "Expression": {
              "SourceRef": {
                "Entity": "Fields.Rows"
              }
            },
            "Property": "Fields"
          }
        },
        "type": "Categorical",
        "howCreated": "User",
        "objects": {
          "general": [
            {
              "properties": {
                "isInvertedSelectionMode": {
                  "expr": {
                    "Literal": {
                      "Value": "true"
                    }
                  }
                }
              }
            }
          ]
        }
      },
      {
        "name": "af8044d6c622680627a9",
        "ordinal": 13,
        "field": {
          "Column": {
            "Expression": {
              "SourceRef": {
                "Entity": "Dim_Market"
              }
            },
            "Property": "MARKET"
          }
        },
        "type": "Categorical",
        "howCreated": "User"
      }
    ],
    "filterSortOrder": "Custom"
  }
}